Subject: Re: [Capwap] 回复:Re: Some question on CAPWAP protocol implementation

From: "David T. Perkins" <[email-masked]>
Date: Wed, 5 Jul 2006 08:04:53 -0700 (PDT)

HI,

I believe that you have made an incorrect characterizing of
CAPWAP. See below.

On Wed, 5 Jul 2006, zhaoyujin 31390 wrote:
> ������: Wenhui Zhou <[email-masked]>
> ����: ���ڶ�, ���� 4��, 2006 ����7:43
> ����: Re: [Capwap] Some question on CAPWAP protocol implementation
> 
> > 
> > Dear CAPWAP guys,
> > 
> > i am sorry i missed much previous related topics, so i have some 
> > questions about CAPWAP protocol implementation.
> > 
> > 1. Whether it has been decided that LWAPP will be the protocol 
> > implementing CAPWAP?
> // This has been decided. And current the LWAPP protocol has
> changed name to CAPWAP.
This IS NOT a correct characterization of CAPWAP. CAPWAP IS NOT
LWAPP with a different name!

> > 2. Whether all of the traffic of the control plane, management 
> > plane,  as well as data plane will be encapsulated in the tunnel 
> > between WTP and the AC by the CAPWAP protocol imple?
> //CAPWAP defines itself control tunnel and data tunnel.
> Presently it does not support third part data tunnel.
> 
> > 3. Due to the hot and diverse discussions on CAPWAP protocol 
> > implementation here, can some kind of summary of agreement  of 
> > CAPWAP protocol implementation  be presented periodically?
> 
> > thanks.
> > 
> > Wenhui Zhou
> > 

_________________________________________________________________
To unsubscribe or modify your subscription options, please visit:
http://lists.frascone.com/mailman/listinfo/capwap

Archives: http://lists.frascone.com/pipermail/capwap

---

From: zhaoyujin 31390 <[email-masked]>
Date: Wed, 05 Jul 2006 19:53:02 +0500

******************************************************************************************
 This email and its attachments contain confidential information from HUAWEI, which is intended only for the person or entity whose address is listed above. Any use of the information contained herein in any way (including, but not limited to, total or partial disclosure, reproduction, or dissemination) by persons other than the intended recipient(s) is prohibited. If you receive this e-mail in error, please notify the sender by phone or em
ail immediately and delete it!
 *****************************************************************************************

----- 原邮件 -----
发件人: Wenhui Zhou <[email-masked]>
日期: 星期二, 七月 4日, 2006 上午7:43
主题: Re: [Capwap] Some question on CAPWAP protocol implementation

> 1. Whether it has been decided that LWAPP will be the protocol 
// This has been decided. And current the LWAPP protocol has changed name to CAPWAP.

> between WTP and the AC by the CAPWAP protocol imple?
//CAPWAP defines itself control tunnel and data tunnel. Presently it does not support third part data tunnel.

> 
> thanks.
> 
> Wenhui Zhou
> 
> 
> 
> ----- Original Message ----- 
> From: <[email-masked]>
> To: <[email-masked]>
> Sent: Monday, July 03, 2006 6:16 PM
> Subject: Capwap Digest, Vol 9, Issue 3
> 
> 
> > Send Capwap mailing list submissions to
> > [email-masked]
> > 
> > To subscribe or unsubscribe via the World Wide Web, visit
> > or, via email, send a message with subject or body 'help' to
> > [email-masked]
> > 
> > You can reach the person managing the list at
> > [email-masked]
> > 
> > When replying, please edit your Subject line so it is more specific
> > than "Re: Contents of Capwap digest..."
> > 
> > 
> > Today's Topics:
> > 
> >   1. Re: Clarification of Issue 43: IEEE 802.11i Considerations
> >      (Saravanan Govindan)
> >   2. Editorial - WTP Event Request (Saravanan Govindan)
> > 
> > 
> > -----------------------------------------------------------------
> -----
> > 
> > Message: 1
> > Date: Mon, 3 Jul 2006 13:54:04 +0800
> > From: "Saravanan Govindan" <[email-masked]>
> > Subject: Re: [Capwap] Clarification of Issue 43: IEEE 802.11i
> > Considerations
> > To: "Michael Montemurro" <[email-masked]>
> > Cc: capwap <[email-masked]>
> > Message-ID:
> > <[email-masked]>
> > Content-Type: text/plain; charset="us-ascii"
> > 
> > Hi Mike,
> > 
> > 
> > 
> > I had a chance to review the new draft. 
> > 
> > 
> > 
> > With regard to Issue 43, my understanding is that updates were 
> made in
> > Section 11.9.1 (IEEE 802.11 Add WLAN). In particular, the IEEE 
> 802.11> Add WLAN message element now allows the AC to send 
> sequence counter
> > values to the WTP. So now, CAPWAP can support designs where the 
> KeyRSC> is maintained by the AC. 
> > 
> > 
> > 
> > My initial concern was with supporting designs where the KeyRSC is
> > maintained by the WTP. This is particularly important to manage the
> > 4-Way and Group-key handshakes. 
> > 
> > 
> > 
> > With this in mind, I think the protocol still requires support for
> > designs where the KeyRSC is maintained by the WTP. Based on the 
> current> draft, this support can be included by adding another 
> field to the IEEE
> > 802.11 Add WLAN message element. This field would contain 
> Message-3
> > EAPoL frame (for 4-Way handshake) or Message-1 EAPoL frame (for
> > Group-key handshake). These EAPoL frames would have unassigned 
> fields> for KeyRSC (since the value is maintained by the WTP). 
> > 
> > 
> > 
> > I am also open to any alternatives to support this. 
> > 
> > 
> > 
> > Cheers,
> > 
> > 
> > Saravanan
> > 
> > 
> > 
> > 
> > 
> > 
> > 
> > 
> > 
> > ________________________________
> > 
> > From: Michael Montemurro [[email-masked]] 
> > Sent: Tuesday, June 20, 2006 10:01 PM
> > To: Saravanan Govindan
> > Cc: Bob O'Hara (boohara); capwap
> > Subject: Re: [Capwap] Clarification of Issue 43: IEEE 802.11i
> > Considerations
> > 
> > 
> > 
> > Saravanan,
> > 
> > 
> > 
> > I've updated section 11.3 to deal with the GTK exchange and the 
> handling> of the KeyRSC in draft -02 to address your comments. I 
> also provided a
> > mechanism for the AC to transmit the keyRSC to the WTP using the
> > updateWLAN message element as part of the Group Key exchange. 
> > 
> > 
> > 
> > We're finalizing the -02 draft this week and you should be able 
> to look
> > at it when we post it later this week.
> > 
> > 
> > 
> > Cheers,
> > 
> > 
> > 
> > Mike
> > 
> > -------------- next part --------------
> > An HTML attachment was scrubbed...
> > URL: 
> http://lists.frascone.com/pipermail/capwap/attachments/20060703/7806c36e/attachment.htm 
> > 
> > ------------------------------
> > 
> > Message: 2
> > Date: Mon, 3 Jul 2006 15:02:10 +0800
> > From: "Saravanan Govindan" <[email-masked]>
> > Subject: [Capwap] Editorial - WTP Event Request
> > To: "capwap" <[email-masked]>
> > Message-ID:
> > <[email-masked]>
> > Content-Type: text/plain; charset="us-ascii"
> > 
> > All,
> > 
> > 
> > 
> > I would like to suggest an editorial update to Section 9.5 (WTP 
> Event> Request). 
> > 
> > 
> > 
> > This is based on earlier discussions of how WTP Event Request 
> serves as
> > an implicit keep alive mechanism for the WTP. I believe this 
> observation> can be made explicit in this section.
> > 
> > 
> > 
> > I suggest the following after the 1st paragraph of Section 9.5;
> > 
> > 
> > 
> > "The exchange of WTP Event Request serves as an implicit keep alive
> > mechanism for the WTP. The arrival of a WTP Event Request 
> message at the
> > AC indicates the WTP is operational. In cases where WTP Event 
> Request is
> > not exchanged, explicit keep alive is used (see Section 7)."
> > 
> > 
> > 
> > The current text in Section 7 refers to maintaining the control
> > communication channel, whereas the suggestion above refers to 
> the WTP as
> > a whole. 
> > 
> > 
> > 
> > Comments?
> > 
> > 
> > 
> > Saravanan
> > 
> > -------------- next part --------------
> > An HTML attachment was scrubbed...
> > URL: 
> http://lists.frascone.com/pipermail/capwap/attachments/20060703/b987e7b1/attachment.htm 
> > 
> > ------------------------------
> > 
> > End of Capwap Digest, Vol 9, Issue 3
> > ************************************
> >

---

From: Behcet Sarikaya <[email-masked]>
Date: Wed, 5 Jul 2006 10:34:52 -0700 (PDT)

----- Original Message ----
From: David T. Perkins <[email-masked]>
To: zhaoyujin 31390 <[email-masked]>
Cc: [email-masked]; Wenhui Zhou <[email-masked]>
Sent: Wednesday, July 5, 2006 10:04:53 AM
Subject: Re: [Capwap] 回复:Re: Some question on CAPWAP protocol implementation

HI,

On Wed, 5 Jul 2006, zhaoyujin 31390 wrote:
> ·¢¼þÈË: Wenhui Zhou <[email-masked]>
> ÈÕÆÚ: ÐÇÆÚ¶þ, ÆßÔÂ 4ÈÕ, 2006 ÉÏÎç7:43
> Ö÷Ìâ: Re: [Capwap] Some question on CAPWAP protocol implementation
> 
> > 
> > Dear CAPWAP guys,
> > 
This IS NOT a correct characterization of CAPWAP. CAPWAP IS NOT
LWAPP with a different name!
==> I think the correct wording would be CAPWAP is LWAPP with changes suggested by the eval team report RFC 4565. Security (incorporation of DTLS replacing LWAPP-specific technique) has been the place for most changes. In other places, the changes have been mostly editorial.

Regards,

--behcet